# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

ECVS_AUTH="pserver"
test -z $ECVS_SERVER && ECVS_SERVER="mplayerhq.hu:/cvsroot/mplayer"
ECVS_MODULE="main"
ECVS_USER="anonymous"
ECVS_PASS=""
ECVS_CVS_OPTIONS="-dP"
ECVS_TOP_DIR="$DISTDIR/cvs-src/mplayer"
#ECVS_LOCALNAME="main"

inherit cvs eutils

S="${WORKDIR}/${ECVS_MODULE}"
DESCRIPTION="media player"
SRC_URI=""
HOMEPAGE="http://www.mplayerhq.hu/"

KEYWORDS="~x86"
SLOT="0"
LICENSE="GPL-2"
IUSE=""

DEPEND="media-plugins/live
	media-video/realplayer"
CFLAGS=

src_unpack() {
	cvs_src_unpack

	SERVER=mplayerhq.hu:/cvsroot/ffmpeg
	[ "$ECVS_SERVER" == "offline" ] && SERVER=offline

	for mod in libavcodec libavutil libavformat; do
		ECVS_SERVER="$SERVER" ECVS_MODULE=ffmpeg/${mod} ECVS_LOCALNAME=${mod} cvs_src_unpack
		mv "${S}/../${mod}" "${S}/${mod}"
	done

	cd ${S}
#	epatch ${FILESDIR}/mplayer-gcc_detection.patch
}

src_compile() {
	cd ${S}
	#epatch ${FILESDIR}/demux-mpg-vdr-3.diff
	./configure --enable-largefiles --prefix=/usr --confdir=/etc/mplayer \
		--with-reallibdir=/opt/RealPlayer/codecs \
		|| die "configure failed"
	make || die "make failed"
}

src_install() {
	einfo "Make install"
	make prefix=${D}/usr \
		BINDIR=${D}/usr/bin \
		LIBDIR=${D}/usr/lib \
		CONFDIR=${D}/usr/share/mplayer \
		DATADIR=${D}/usr/share/mplayer \
		MANDIR=${D}/usr/share/man \
		install || die "Failed to install MPlayer!"
	einfo "Make install completed"

	dodoc AUTHORS ChangeLog README
	find "${S}/TOOLS" -type d | xargs -- chmod 0755
	find "${S}/TOOLS" -type f | xargs -- chmod 0644
	cp -r "${S}/TOOLS" "${D}/usr/share/doc/${PF}/" || die

}
